QGIS Application - Bug report #6938
Legend group visibility computation is wrong
2013-01-02 05:31 AM - Sandro Santill

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 16051
Description

Adding groups make them marked as "visible" by default, adding layers and setting their visibility to off doesn't change that state.

So you can easily end up with a checked group containing all unchecked layers.

History

#1 - 2013-01-02 05:32 AM - Sandro Santilli

Ideally a group should start as not visible and its state should be updated whenever a child layer-or-group visibility gets updated.

#2 - 2013-01-02 07:35 AM - Giovanni Manghi

maybe related to #5924 ?

#3 - 2014-10-21 02:23 AM - Sandro Santilli

According to Martin this should not be a bug anymore since 2.4: #11382-12

To be checked by dropping workarounds in TopoViewer and check they are not needed anymore:

https://github.com/qgis/QGIS/blob/final-2_4 0/python/plugins/db_manager/db_plugins/postgis/plugins/qgis topoview/ _init _.py#L154-L155

#4 - 2014-10-21 03:44 AM - Sandro Santilli

- Status changed from Open to Closed

- Target version set to 2.4

- Affected QGIS version changed from master to 2.2.0
- Resolution set to fixed/implemented

Confirmed fixed, workaround removed with commit:93864ce55c9e4ec1a3441{32f73c3166b83eal36¢
https://github.com/qgis/QGIS/blob/final-2_4_0/python/plugins/db_manager/db_plugins/postgis/plugins/qgis_topoview/__init__.py#L154-L155

